Subject: Re: [bug?] tg3: Failed to load firmware "tigon/tg3_tso.bin"

From: Theodore Tso <[email-masked]>
Date: Fri, 4 Jul 2008 10:36:34 -0400

On Fri, Jul 04, 2008 at 04:24:03PM +0200, maximilian attems wrote:
> yes i'd call them severly broken.
> as it is quite easy to pick up the modinfo firmware module output.
> 
> their trouble is that they sync initramfs-tools from Debian only
> once every 2 years or so.

Well, Takashi just mentioned that SuSE's mkinitrd may not handle
/lib/firmware correctly either....

> hpa is working to provide a lot of what is needed in klibc.
> it isn't yet there as it misses mdadm, lvm2 and cryptsetup support,
> but it is getting much better due to our Debian/Ubuntu exposure.
> we added several features to klibc and fixed bugs. similar to the
> early opensuse exposure which unfortunately got dropped.

I will definitely sign up to try this once there is lvm2 support.  :-)

         		       	     	      - Ted